[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomUpDown.AdjustPos

Applies changes to the control value using its increment and decrement buttons.

## Declaration

Source position: comctrls.pp line 1969

`protected procedure TCustomUpDown.AdjustPos(`
`incPos: Boolean`
`);`

## Arguments

`incPos` |  | True when the position is being incremented. False when being decremented.

## Description

AdjustPos is a method used to apply changes to the value for the control when the increment or decrement buttons are clicked. AdjustPos uses the value in the FUseWS member to determine if the change in value is handled in the widgetset class, or handled in TCustomUpDown.

## Version info

Introduced in LCL version 2.1.0.

## See also

TCustomUpDown.AssociateKeyDown |  | Implements the OnKeyDown event handler assigned to the Associate control in the class instance.
TCustomUpDown.AssociateMouseWheel |  | Implements an OnMouseWheel event handler assigned to the Associate control in the class instance.